Bug 25955 - compare_es_to_db.pl broken by drop of Catmandu dependency
Summary: compare_es_to_db.pl broken by drop of Catmandu dependency
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 24823
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-08 14:24 UTC by Nick Clemens
Modified: 2020-08-03 23:35 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25955: Fix getting index_name (1.95 KB, patch)
2020-07-08 14:25 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25955: Fix getting index_name (2.02 KB, patch)
2020-07-14 09:19 UTC, didier
Details | Diff | Splinter Review
Bug 25955: Fix getting index_name (2.08 KB, patch)
2020-07-21 14:14 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-07-08 14:24:26 UTC
Bug 24823 removed catmandu, but code in compare_es_to_db was not updated
Comment 1 Nick Clemens 2020-07-08 14:25:54 UTC
Created attachment 106658 [details] [review]
Bug 25955: Fix getting index_name

To test:
1 - Have a site running ES
2 - perl misc/maintenance/compare_es_to_db.pl
3 - Lots of output, all bad
4 - Apply patch
5 - Repeate
6 - Whew, looks correct
Comment 2 didier 2020-07-14 09:19:49 UTC
Created attachment 106869 [details] [review]
Bug 25955: Fix getting index_name

To test:
1 - Have a site running ES
2 - perl misc/maintenance/compare_es_to_db.pl
3 - Lots of output, all bad
4 - Apply patch
5 - Repeate
6 - Whew, looks correct

Signed-off-by: Didier Gautheron <didier.gautheron@biblibre.com>
Comment 3 didier 2020-07-14 09:20:48 UTC
Test on docker kohadev ku-es6
Comment 4 Martin Renvoize 2020-07-21 14:14:06 UTC
Created attachment 107151 [details] [review]
Bug 25955: Fix getting index_name

To test:
1 - Have a site running ES
2 - perl misc/maintenance/compare_es_to_db.pl
3 - Lots of output, all bad
4 - Apply patch
5 - Repeate
6 - Whew, looks correct

Signed-off-by: Didier Gautheron <didier.gautheron@biblibre.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-07-21 14:14:46 UTC
Trivial fix that matches the syntax change elsewhere.. no regressions found and the script now works as expected.  No QA script failures.. passing QA
Comment 6 Jonathan Druart 2020-07-22 08:31:49 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-07-28 15:28:36 UTC
backported to 20.05.x for 20.05.03
Comment 8 Aleisha Amohia 2020-08-03 23:35:52 UTC
missing dependencies, not backported to 19.11.x